<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Attributes\Fillable;

#[Fillable(['province_id', 'name'])]
class City extends Model
{
    use HasFactory;

    public $timestamps = false;

    // Relasi: Kota ini termasuk ke dalam sebuah Provinsi
    public function province()
    {
        return $this->belongsTo(Province::class);
    }

    // Relasi: Satu Kota bisa memiliki banyak Kos-kosan / Kontrakan
    public function boardingHouses()
    {
        return $this->hasMany(BoardingHouse::class);
    }
}
